import unittest

from db.entities.layer_adapter import LayerAdapter

class Layer_Adapter_Test(unittest.TestCase):
    def test_valid_adapter(self):
        adapter1 = LayerAdapter("layer1", {"a":"b", "c":"d"}, ["a"])
        print(adapter1.to_serializable_dict)

if __name__ == '__main__':
    unittest.main()